Developers
API ReferenceVacation Comment

Retrieves a VacationComment resource.

GET
/calendar/vacation-comments/{id}

Retrieves a VacationComment resource.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

VacationComment identifier

Response Body

VacationComment resource

  1. response
id?string
Formatuuid
content?string
Lengthlength <= 5000
calendarUser?
createdAt?string
Formatdate-time
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/calendar/vacation-comments/string'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "content": "string",  "calendarUser": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "phoneNumber": "string",    "pictureSm": "string",    "pictureLg": "string",    "canLogIn": true,    "isExternal": true,    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "jobPositionName": "string",    "decorator": "string"  },  "createdAt": "2019-08-24T14:15:22Z"}